%define modname courierauth
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A15_%{modname}.ini

Summary:	Courierauth bindings for PHP
Name:		php-%{modname}
Version:	0.1.0
Release:	%mkrel 2
Group:		Development/PHP
License:	BSD-like
URL:		http://pecl.php.net/package/courierauth
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	courier-authlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Provides means for authentication against any courier authdaemond backends.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENSE CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2007.0
+ Revision: 117555
- rebuilt against new upstream version (5.2.1)

* Wed Dec 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2007.1
+ Revision: 96175
- Import php-courierauth



* Wed Dec 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2007.1
- initial Mandriva package
